diff --git a/test/unit/stages/review/ci_fix_test.rb b/test/unit/stages/review/ci_fix_test.rb
index 5b0198a..1feb32f 100644
--- a/test/unit/stages/review/ci_fix_test.rb
+++ b/test/unit/stages/review/ci_fix_test.rb
@@ -28,7 +28,7 @@ class CiFixTest < Minitest::Test
 
   def with_ci_dir
     with_tmp_dir do |dir|
-      task_folder = File.join(dir, ".hive-state", "stages", "6-review", "ci-test-task")
+      task_folder = File.join(dir, ".hive", "stages", "6-review", "ci-test-task")
       FileUtils.mkdir_p(File.join(task_folder, "reviews"))
       FileUtils.mkdir_p(File.join(task_folder, "logs"))
       yield(dir, task_folder)
@@ -152,7 +152,7 @@ class CiFixTest < Minitest::Test
   def test_returns_error_when_fix_agent_leaves_uncommitted_changes
     with_tmp_dir do |task_root|
       with_tmp_git_repo do |worktree|
-        task_folder = File.join(task_root, ".hive-state", "stages", "6-review", "ci-dirty")
+        task_folder = File.join(task_root, ".hive", "stages", "6-review", "ci-dirty")
         FileUtils.mkdir_p(File.join(task_folder, "reviews"))
         File.write(File.join(task_folder, "task.md"), "<!-- REVIEW_WORKING phase=ci pass=1 -->\n")
         File.write(File.join(task_folder, "plan.md"), "plan\n")
@@ -177,7 +177,7 @@ class CiFixTest < Minitest::Test
   def test_returns_error_when_fix_agent_tampers_with_protected_task_files
     with_tmp_dir do |task_root|
       with_tmp_git_repo do |worktree|
-        task_folder = File.join(task_root, ".hive-state", "stages", "6-review", "ci-tamper")
+        task_folder = File.join(task_root, ".hive", "stages", "6-review", "ci-tamper")
         FileUtils.mkdir_p(File.join(task_folder, "reviews"))
         task_md = File.join(task_folder, "task.md")
         File.write(task_md, "<!-- REVIEW_WORKING phase=ci pass=1 -->\n")
diff --git a/test/unit/stages/review/escalation_questions_test.rb b/test/unit/stages/review/escalation_questions_test.rb
index 07775ba..87810e7 100644
--- a/test/unit/stages/review/escalation_questions_test.rb
+++ b/test/unit/stages/review/escalation_questions_test.rb
@@ -16,7 +16,7 @@ class ReviewEscalationQuestionsTest < Minitest::Test
 
   def test_count_escalations_counts_unanswered_q_and_a_items
     with_tmp_dir do |dir|
-      task_folder = File.join(dir, ".hive-state", "stages", "5-review", "demo")
+      task_folder = File.join(dir, ".hive", "stages", "5-review", "demo")
       reviews_dir = File.join(task_folder, "reviews")
       FileUtils.mkdir_p(reviews_dir)
       File.write(File.join(reviews_dir, "escalations-01.md"), <<~MD)
@@ -41,7 +41,7 @@ class ReviewEscalationQuestionsTest < Minitest::Test
 
   def test_collect_accepted_findings_includes_auto_fix_and_answered_escalations_only
     with_tmp_dir do |dir|
-      task_folder = File.join(dir, ".hive-state", "stages", "5-review", "demo")
+      task_folder = File.join(dir, ".hive", "stages", "5-review", "demo")
       reviews_dir = File.join(task_folder, "reviews")
       FileUtils.mkdir_p(reviews_dir)
       File.write(File.join(reviews_dir, "codex-ce-code-review-01.md"), <<~MD)
@@ -79,7 +79,7 @@ class ReviewEscalationQuestionsTest < Minitest::Test
 
   def test_collect_accepted_findings_preserves_legacy_checked_escalations
     with_tmp_dir do |dir|
-      task_folder = File.join(dir, ".hive-state", "stages", "5-review", "demo")
+      task_folder = File.join(dir, ".hive", "stages", "5-review", "demo")
       reviews_dir = File.join(task_folder, "reviews")
       FileUtils.mkdir_p(reviews_dir)
       File.write(File.join(reviews_dir, "codex-ce-code-review-01.md"), <<~MD)
diff --git a/test/unit/stages/review/github_publisher_test.rb b/test/unit/stages/review/github_publisher_test.rb
index acd8004..ebe7658 100644
--- a/test/unit/stages/review/github_publisher_test.rb
+++ b/test/unit/stages/review/github_publisher_test.rb
@@ -27,7 +27,7 @@ class ReviewGithubPublisherTest < Minitest::Test
   end
 
   def make_task(dir)
-    folder = File.join(dir, ".hive-state", "stages", "6-review", "demo-260513-abcd")
+    folder = File.join(dir, ".hive", "stages", "6-review", "demo-260513-abcd")
     FileUtils.mkdir_p(File.join(folder, "reviews"))
     File.write(File.join(folder, "task.md"), "task\n")
     File.write(File.join(folder, "pr.md"), <<~MD)
diff --git a/test/unit/stages/review/triage_test.rb b/test/unit/stages/review/triage_test.rb
index 9f8d5c4..c8b4310 100644
--- a/test/unit/stages/review/triage_test.rb
+++ b/test/unit/stages/review/triage_test.rb
@@ -26,7 +26,7 @@ class TriageTest < Minitest::Test
 
   def with_triage_dir
     with_tmp_dir do |dir|
-      task_folder = File.join(dir, ".hive-state", "stages", "6-review", "test-task")
+      task_folder = File.join(dir, ".hive", "stages", "6-review", "test-task")
       FileUtils.mkdir_p(File.join(task_folder, "reviews"))
       yield(dir, task_folder)
     end
@@ -157,7 +157,7 @@ class TriageTest < Minitest::Test
       File.write(File.join(task_folder, "reviews", "claude-ce-code-review-01.md"),
                  "## High\n- [ ] custom-finding\n")
 
-      state_templates = File.join(dir, ".hive-state", "templates")
+      state_templates = File.join(dir, ".hive", "templates")
       FileUtils.mkdir_p(state_templates)
       File.write(File.join(state_templates, "triage_custom.md.erb"), <<~ERB)
         CUSTOM TEMPLATE for pass <%= pass %>
@@ -188,7 +188,7 @@ class TriageTest < Minitest::Test
       ctx = make_ctx(dir, task_folder)
       File.write(File.join(task_folder, "reviews", "claude-ce-code-review-01.md"), "## Nit\n")
 
-      state_templates = File.join(dir, ".hive-state", "templates")
+      state_templates = File.join(dir, ".hive", "templates")
       FileUtils.mkdir_p(state_templates)
       cfg = default_cfg("review" => { "triage" => { "custom_prompt" => "../../../etc/passwd" } })
 
@@ -204,7 +204,7 @@ class TriageTest < Minitest::Test
       ctx = make_ctx(dir, task_folder)
       File.write(File.join(task_folder, "reviews", "claude-ce-code-review-01.md"), "## Nit\n")
 
-      state_templates = File.join(dir, ".hive-state", "templates")
+      state_templates = File.join(dir, ".hive", "templates")
       FileUtils.mkdir_p(state_templates)
       cfg = default_cfg("review" => { "triage" => { "custom_prompt" => "does_not_exist.md.erb" } })
 
diff --git a/test/unit/stages/skill_invocation_format_test.rb b/test/unit/stages/skill_invocation_format_test.rb
index 422387a..6fa7b37 100644
--- a/test/unit/stages/skill_invocation_format_test.rb
+++ b/test/unit/stages/skill_invocation_format_test.rb
@@ -26,7 +26,7 @@ class HiveStagesSkillInvocationFormatTest < Minitest::Test
 
   def test_brainstorm_formats_default_skill_for_pi_profile
     with_tmp_dir do |project|
-      task_dir = File.join(project, ".hive-state", "stages", "2-brainstorm", "demo")
+      task_dir = File.join(project, ".hive", "stages", "2-brainstorm", "demo")
       FileUtils.mkdir_p(task_dir)
       File.write(File.join(task_dir, "idea.md"), "idea\n")
       task = TaskStub.new(
@@ -46,7 +46,7 @@ class HiveStagesSkillInvocationFormatTest < Minitest::Test
 
   def test_plan_formats_default_skill_for_pi_profile
     with_tmp_dir do |project|
-      task_dir = File.join(project, ".hive-state", "stages", "3-plan", "demo")
+      task_dir = File.join(project, ".hive", "stages", "3-plan", "demo")
       FileUtils.mkdir_p(task_dir)
       File.write(File.join(task_dir, "brainstorm.md"), "brainstorm\n")
       task = TaskStub.new(
diff --git a/test/unit/task_action_test.rb b/test/unit/task_action_test.rb
index 7382884..3bfb5c9 100644
--- a/test/unit/task_action_test.rb
+++ b/test/unit/task_action_test.rb
@@ -16,7 +16,7 @@ class TaskActionTest < Minitest::Test
   )
 
   def fake_task(stage_name:, stage_index:, slug: "demo-260426-aaaa", project_root: "/x")
-    folder = File.join(project_root, ".hive-state", "stages", "#{stage_index}-#{stage_name}", slug)
+    folder = File.join(project_root, ".hive", "stages", "#{stage_index}-#{stage_name}", slug)
     FakeTask.new(stage_name: stage_name, stage_index: stage_index, slug: slug,
                  project_root: project_root, project_name: File.basename(project_root),
                  folder: folder, state_file: File.join(folder, "task.md"))
@@ -54,7 +54,7 @@ class TaskActionTest < Minitest::Test
 
   def test_plan_missing_or_empty_output_is_error_not_needs_input
     Dir.mktmpdir("task-action-plan") do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "3-plan", "demo-260426-aaaa")
+      folder = File.join(dir, ".hive", "stages", "3-plan", "demo-260426-aaaa")
       FileUtils.mkdir_p(folder)
       task = Hive::Task.new(folder)
 
@@ -63,15 +63,15 @@ class TaskActionTest < Minitest::Test
                    "freshly approved plan-stage folders start without plan.md and must remain runnable"
       assert_equal "hive plan demo-260426-aaaa --from 3-plan", missing.command
 
-      FileUtils.mkdir_p(File.join(dir, ".hive-state", "logs", task.slug))
-      File.write(File.join(dir, ".hive-state", "logs", task.slug, "plan-20260519T221007Z.log"), "spawned\n")
+      FileUtils.mkdir_p(File.join(dir, ".hive", "logs", task.slug))
+      File.write(File.join(dir, ".hive", "logs", task.slug, "plan-20260519T221007Z.log"), "spawned\n")
       interrupted = Hive::TaskAction.for(task, marker(:none))
       assert_equal "error", interrupted.key
       assert_nil interrupted.command
       assert_match(/Plan is incomplete because .*plan\.md is missing or empty/,
                    interrupted.diagnostic["detail"])
 
-      FileUtils.rm_rf(File.join(dir, ".hive-state", "logs", task.slug))
+      FileUtils.rm_rf(File.join(dir, ".hive", "logs", task.slug))
       File.write(task.state_file, "")
       empty = Hive::TaskAction.for(task, marker(:none))
       assert_equal "error", empty.key
@@ -164,7 +164,7 @@ class TaskActionTest < Minitest::Test
 
   def test_finalize_complete_is_ready_to_archive
     Dir.mktmpdir("task-action-finalize") do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "7-finalize", "demo-260426-aaaa")
+      folder = File.join(dir, ".hive", "stages", "7-finalize", "demo-260426-aaaa")
       FileUtils.mkdir_p(folder)
       task = FakeTask.new(
         stage_name: "finalize",
@@ -193,7 +193,7 @@ class TaskActionTest < Minitest::Test
 
   def test_finalize_complete_requires_final_pr_metadata_before_archive
     Dir.mktmpdir("task-action-finalize") do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "7-finalize", "demo-260426-aaaa")
+      folder = File.join(dir, ".hive", "stages", "7-finalize", "demo-260426-aaaa")
       FileUtils.mkdir_p(folder)
       task = FakeTask.new(
         stage_name: "finalize",
@@ -236,7 +236,7 @@ class TaskActionTest < Minitest::Test
 
   def test_finalize_missing_pr_md_is_error_not_needs_input
     Dir.mktmpdir("task-action-finalize") do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "7-finalize", "demo-260426-aaaa")
+      folder = File.join(dir, ".hive", "stages", "7-finalize", "demo-260426-aaaa")
       FileUtils.mkdir_p(folder)
       task = FakeTask.new(
         stage_name: "finalize",
@@ -259,7 +259,7 @@ class TaskActionTest < Minitest::Test
 
   def test_finalize_missing_metadata_error_is_manual_fix_not_retry
     Dir.mktmpdir("task-action-finalize") do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "7-finalize", "demo-260426-aaaa")
+      folder = File.join(dir, ".hive", "stages", "7-finalize", "demo-260426-aaaa")
       FileUtils.mkdir_p(folder)
       task = FakeTask.new(
         stage_name: "finalize",
@@ -468,7 +468,7 @@ class TaskActionTest < Minitest::Test
   end
 
   def test_diagnostic_artifact_resolves_through_symlinked_hive_state
-    # Deployment pattern: .hive-state symlinked to a separate volume
+    # Deployment pattern: .hive symlinked to a separate volume
     # (state on a fast-SSD partition, project on a slower share). The
     # task.folder.realpath then lands OUTSIDE project_root.realpath
     # but the artifact is still legitimate. Pre-fix, the project_root
@@ -478,7 +478,7 @@ class TaskActionTest < Minitest::Test
     Dir.mktmpdir("hive-task-action") do |root|
       state_volume = File.join(root, "state-volume")
       FileUtils.mkdir_p(state_volume)
-      symlinked_state = File.join(root, "project", ".hive-state")
+      symlinked_state = File.join(root, "project", ".hive")
       FileUtils.mkdir_p(File.dirname(symlinked_state))
       File.symlink(state_volume, symlinked_state)
 
@@ -494,7 +494,7 @@ class TaskActionTest < Minitest::Test
       refute_nil diagnostic
       assert_equal "artifact", diagnostic["source"]
       assert_includes diagnostic["detail"], "fix failed",
-                      "symlinked .hive-state must not invisible legitimate diagnostic artifacts"
+                      "symlinked .hive must not invisible legitimate diagnostic artifacts"
     end
   end
 
diff --git a/test/unit/task_test.rb b/test/unit/task_test.rb
index 896cbe7..a329bd1 100644
--- a/test/unit/task_test.rb
+++ b/test/unit/task_test.rb
@@ -7,7 +7,7 @@ class TaskTest < Minitest::Test
 
   def test_parses_valid_path
     with_tmp_dir do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "2-brainstorm", "add-foo")
+      folder = File.join(dir, ".hive", "stages", "2-brainstorm", "add-foo")
       FileUtils.mkdir_p(folder)
       task = Hive::Task.new(folder)
       assert_equal "add-foo", task.slug
@@ -31,7 +31,7 @@ class TaskTest < Minitest::Test
         "8-done" => "task.md"
       }
       mappings.each do |stage_dir, state_file|
-        folder = File.join(dir, ".hive-state", "stages", stage_dir, "x-260424-7a3b")
+        folder = File.join(dir, ".hive", "stages", stage_dir, "x-260424-7a3b")
         FileUtils.mkdir_p(folder)
         task = Hive::Task.new(folder)
         assert_equal state_file, File.basename(task.state_file)
@@ -45,7 +45,7 @@ class TaskTest < Minitest::Test
 
   def test_invalid_path_without_slug
     with_tmp_dir do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "2-brainstorm")
+      folder = File.join(dir, ".hive", "stages", "2-brainstorm")
       FileUtils.mkdir_p(folder)
       assert_raises(Hive::InvalidTaskPath) { Hive::Task.new(folder) }
     end
@@ -53,7 +53,7 @@ class TaskTest < Minitest::Test
 
   def test_invalid_stage_format
     with_tmp_dir do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "brainstorm", "x-260424-7a3b")
+      folder = File.join(dir, ".hive", "stages", "brainstorm", "x-260424-7a3b")
       FileUtils.mkdir_p(folder)
       assert_raises(Hive::InvalidTaskPath) { Hive::Task.new(folder) }
     end
@@ -61,7 +61,7 @@ class TaskTest < Minitest::Test
 
   def test_invalid_stage_name
     with_tmp_dir do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "9-elsewhere", "x-260424-7a3b")
+      folder = File.join(dir, ".hive", "stages", "9-elsewhere", "x-260424-7a3b")
       FileUtils.mkdir_p(folder)
       assert_raises(Hive::InvalidTaskPath) { Hive::Task.new(folder) }
     end
@@ -69,7 +69,7 @@ class TaskTest < Minitest::Test
 
   def test_worktree_path_uses_yml_when_present
     with_tmp_dir do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "4-execute", "add-foo")
+      folder = File.join(dir, ".hive", "stages", "4-execute", "add-foo")
       FileUtils.mkdir_p(folder)
       File.write(File.join(folder, "worktree.yml"),
                  { "path" => "/some/where/add-foo", "branch" => "add-foo" }.to_yaml)
@@ -80,7 +80,7 @@ class TaskTest < Minitest::Test
 
   def test_worktree_path_returns_nil_for_low_stages
     with_tmp_dir do |dir|
-      folder = File.join(dir, ".hive-state", "stages", "1-inbox", "add-foo")
+      folder = File.join(dir, ".hive", "stages", "1-inbox", "add-foo")
       FileUtils.mkdir_p(folder)
       task = Hive::Task.new(folder)
       assert_nil task.worktree_path
@@ -89,10 +89,10 @@ class TaskTest < Minitest::Test
 
   def test_worktree_path_derives_from_template_when_yml_absent
     with_tmp_dir do |dir|
-      FileUtils.mkdir_p(File.join(dir, ".hive-state"))
-      File.write(File.join(dir, ".hive-state", "config.yml"),
+      FileUtils.mkdir_p(File.join(dir, ".hive"))
+      File.write(File.join(dir, ".hive", "config.yml"),
                  { "worktree_root" => "/work/%{slug}" }.to_yaml)
-      folder = File.join(dir, ".hive-state", "stages", "4-execute", "add-foo")
+      folder = File.join(dir, ".hive", "stages", "4-execute", "add-foo")
       FileUtils.mkdir_p(folder)
       task = Hive::Task.new(folder)
       derived = task.worktree_path
diff --git a/test/unit/tui/bubble_model_test.rb b/test/unit/tui/bubble_model_test.rb
index 5a49249..02ae0f8 100644
--- a/test/unit/tui/bubble_model_test.rb
+++ b/test/unit/tui/bubble_model_test.rb
@@ -720,7 +720,7 @@ class HiveTuiBubbleModelTest < Minitest::Test
     require "tmpdir"
     Dir.mktmpdir do |project_root|
       slug = "manual-fix-260516-aaaa"
-      folder = File.join(project_root, ".hive-state", "stages", "6-review", slug)
+      folder = File.join(project_root, ".hive", "stages", "6-review", slug)
       worktree = File.join(project_root, "worktrees", slug)
       FileUtils.mkdir_p(folder)
       FileUtils.mkdir_p(worktree)
@@ -4320,7 +4320,7 @@ class HiveTuiBubbleModelTest < Minitest::Test
 
   def snapshot_with(rows)
     project = Hive::Tui::Snapshot::ProjectView.new(
-      name: "demo", path: "/x", hive_state_path: "/x/.hive-state",
+      name: "demo", path: "/x", hive_state_path: "/x/.hive",
       error: nil, rows: rows.freeze
     ).freeze
     Hive::Tui::Snapshot.new(generated_at: nil, projects: [ project ])
@@ -4328,24 +4328,24 @@ class HiveTuiBubbleModelTest < Minitest::Test
 
   def test_snapshot_with_sigterm_error_triggers_heal
     captured = stub_heal_capture(@model)
-    snap = snapshot_with([ make_error_row(slug: "killed", folder: "/x/.hive-state/stages/6-review/killed", exit_code: 143) ])
+    snap = snapshot_with([ make_error_row(slug: "killed", folder: "/x/.hive/stages/6-review/killed", exit_code: 143) ])
     @model.update(Hive::Tui::Messages::SnapshotArrived.new(snapshot: snap))
-    assert_equal [ "/x/.hive-state/stages/6-review/killed" ], captured,
+    assert_equal [ "/x/.hive/stages/6-review/killed" ], captured,
       "sigterm-killed task must trigger one heal"
   end
 
   def test_snapshot_with_sigint_error_triggers_heal
     captured = stub_heal_capture(@model)
-    snap = snapshot_with([ make_error_row(slug: "ctrlc", folder: "/x/.hive-state/stages/4-execute/ctrlc", exit_code: 130) ])
+    snap = snapshot_with([ make_error_row(slug: "ctrlc", folder: "/x/.hive/stages/4-execute/ctrlc", exit_code: 130) ])
     @model.update(Hive::Tui::Messages::SnapshotArrived.new(snapshot: snap))
-    assert_equal [ "/x/.hive-state/stages/4-execute/ctrlc" ], captured
+    assert_equal [ "/x/.hive/stages/4-execute/ctrlc" ], captured
   end
 
   def test_snapshot_with_sigkill_error_triggers_heal
     captured = stub_heal_capture(@model)
-    snap = snapshot_with([ make_error_row(slug: "killed9", folder: "/x/.hive-state/stages/4-execute/killed9", exit_code: 137) ])
+    snap = snapshot_with([ make_error_row(slug: "killed9", folder: "/x/.hive/stages/4-execute/killed9", exit_code: 137) ])
     @model.update(Hive::Tui::Messages::SnapshotArrived.new(snapshot: snap))
-    assert_equal [ "/x/.hive-state/stages/4-execute/killed9" ], captured
+    assert_equal [ "/x/.hive/stages/4-execute/killed9" ], captured
   end
 
   def test_snapshot_with_real_failure_does_not_heal
@@ -4371,15 +4371,15 @@ class HiveTuiBubbleModelTest < Minitest::Test
   def test_snapshot_with_multiple_kill_class_rows_triggers_heal_for_each
     captured = stub_heal_capture(@model)
     snap = snapshot_with([
-      make_error_row(slug: "a", folder: "/x/.hive-state/stages/6-review/a", exit_code: 143),
-      make_error_row(slug: "b", folder: "/x/.hive-state/stages/4-execute/b", exit_code: 137),
-      make_error_row(slug: "c", folder: "/x/.hive-state/stages/3-plan/c", exit_code: 130)
+      make_error_row(slug: "a", folder: "/x/.hive/stages/6-review/a", exit_code: 143),
+      make_error_row(slug: "b", folder: "/x/.hive/stages/4-execute/b", exit_code: 137),
+      make_error_row(slug: "c", folder: "/x/.hive/stages/3-plan/c", exit_code: 130)
     ])
     @model.update(Hive::Tui::Messages::SnapshotArrived.new(snapshot: snap))
     assert_equal(
-      [ "/x/.hive-state/stages/3-plan/c",
-        "/x/.hive-state/stages/4-execute/b",
-        "/x/.hive-state/stages/6-review/a" ],
+      [ "/x/.hive/stages/3-plan/c",
+        "/x/.hive/stages/4-execute/b",
+        "/x/.hive/stages/6-review/a" ],
       captured.sort,
       "every kill-class row in the snapshot must trigger its own heal — not just the first"
     )
@@ -4399,7 +4399,7 @@ class HiveTuiBubbleModelTest < Minitest::Test
 
   def test_heal_dedup_only_fires_once_per_folder
     captured = stub_heal_capture(@model)
-    row = make_error_row(slug: "killed", folder: "/x/.hive-state/stages/6-review/killed", exit_code: 143)
+    row = make_error_row(slug: "killed", folder: "/x/.hive/stages/6-review/killed", exit_code: 143)
     snap = snapshot_with([ row ])
     @model.update(Hive::Tui::Messages::SnapshotArrived.new(snapshot: snap))
     @model.update(Hive::Tui::Messages::SnapshotArrived.new(snapshot: snap))
@@ -4413,7 +4413,7 @@ class HiveTuiBubbleModelTest < Minitest::Test
   # window so re-heals after HEAL_REPEAT_INTERVAL_SECONDS go through.
   def test_heal_cache_re_permits_after_interval_elapses
     captured = stub_heal_capture(@model)
-    folder = "/x/.hive-state/stages/4-execute/killed"
+    folder = "/x/.hive/stages/4-execute/killed"
     row = make_error_row(slug: "killed", folder: folder, exit_code: 143)
     snap = snapshot_with([ row ])
 
@@ -4433,7 +4433,7 @@ class HiveTuiBubbleModelTest < Minitest::Test
 
   def test_heal_cache_keeps_blocking_within_interval_window
     captured = stub_heal_capture(@model)
-    folder = "/x/.hive-state/stages/4-execute/killed"
+    folder = "/x/.hive/stages/4-execute/killed"
     row = make_error_row(slug: "killed", folder: folder, exit_code: 143)
     snap = snapshot_with([ row ])
 
@@ -4470,12 +4470,12 @@ class HiveTuiBubbleModelTest < Minitest::Test
       [ 0, "", "" ]
     end
 
-    row = make_error_row(slug: "killed", folder: "/x/.hive-state/stages/4-execute/killed", exit_code: 143)
+    row = make_error_row(slug: "killed", folder: "/x/.hive/stages/4-execute/killed", exit_code: 143)
     @model.send(:heal_marker, row)
 
     assert_equal [
       "hive", "markers", "clear",
-      "/x/.hive-state/stages/4-execute/killed",
+      "/x/.hive/stages/4-execute/killed",
       "--name", "ERROR",
       "--match-attr", "exit_code=143"
     ], captured_argv,
@@ -4587,8 +4587,8 @@ class HiveTuiBubbleModelTest < Minitest::Test
     require "tmpdir"
     Dir.mktmpdir do |project_root|
       slug = "demo-260426-aaaa"
-      task_folder = File.join(project_root, ".hive-state", "stages", "6-review", slug)
-      FileUtils.mkdir_p(File.join(project_root, ".hive-state", "logs", slug)) # logs dir but NO *.log files
+      task_folder = File.join(project_root, ".hive", "stages", "6-review", slug)
+      FileUtils.mkdir_p(File.join(project_root, ".hive", "logs", slug)) # logs dir but NO *.log files
 
       row = Hive::Tui::Snapshot::Row.new(
         project_name: File.basename(project_root), stage: "6-review", slug: slug,
@@ -4616,8 +4616,8 @@ class HiveTuiBubbleModelTest < Minitest::Test
     require "tmpdir"
     Dir.mktmpdir do |project_root|
       slug = "tail-260428-aaaa"
-      task_folder = File.join(project_root, ".hive-state", "stages", "6-review", slug)
-      logs = File.join(project_root, ".hive-state", "logs", slug)
+      task_folder = File.join(project_root, ".hive", "stages", "6-review", slug)
+      logs = File.join(project_root, ".hive", "logs", slug)
       FileUtils.mkdir_p(logs)
       File.write(File.join(logs, "agent.log"), "first line\n")
 
@@ -4640,7 +4640,7 @@ class HiveTuiBubbleModelTest < Minitest::Test
     require "tmpdir"
     Dir.mktmpdir do |project_root|
       slug = "review-tail-260508-aaaa"
-      task_folder = File.join(project_root, ".hive-state", "stages", "6-review", slug)
+      task_folder = File.join(project_root, ".hive", "stages", "6-review", slug)
       logs = File.join(task_folder, "logs")
       FileUtils.mkdir_p(logs)
       File.write(File.join(logs, "review-triage-pass04.log"), "review line\n")
@@ -4795,7 +4795,7 @@ class HiveTuiBubbleModelTest < Minitest::Test
       Hive::Tui::Snapshot::ProjectView.new(
         name: spec.fetch(:name),
         path: spec.fetch(:path),
-        hive_state_path: File.join(spec[:path], ".hive-state"),
+        hive_state_path: File.join(spec[:path], ".hive"),
         error: spec[:error],
         rows: [].freeze
       ).freeze
diff --git a/test/unit/tui/key_map_test.rb b/test/unit/tui/key_map_test.rb
index 4ce3668..89f1ab6 100644
--- a/test/unit/tui/key_map_test.rb
+++ b/test/unit/tui/key_map_test.rb
@@ -49,7 +49,7 @@ class TuiKeyMapMessageForTest < Minitest::Test
     # The argv-shape contract is pinned in TriageState's develop_command
     # test, not here.
     row = make_row(action_key: "review_findings", suggested_command: nil,
-                   folder: "/abs/.hive-state/stages/4-execute/some-slug")
+                   folder: "/abs/.hive/stages/4-execute/some-slug")
     msg = Hive::Tui::KeyMap.message_for(mode: :triage, key: "d", row: row)
     assert_same Hive::Tui::Messages::TRIAGE_DEVELOP, msg
   end
